List Card Transactions

List card transaction records with time-range and attribute filters, using cursor-based pagination.
Request Parameters
limitinteger
required
Maximum number of items per page. Value range 1–100 (10 recommended).
fromCreatedAtdatetime
required
Query start time. ISO 8601 extended format. The range between fromCreatedAt and toCreatedAt must not exceed 100 days.
toCreatedAtdatetime
required
Query end time. ISO 8601 extended format. The range must not exceed 100 days.
cursorstring
Pagination cursor taken from the previous response's nextCursor or prevCursor. Omit for the first page. Max 256 characters.
statusesarray of string
Filter by the latest transaction status. Maximum 9 items.

Valid Values:

WAITING_DEDUCT — Awaiting deduction.
PROCESSING — Processing.
WAITING_CLEARANCE — Awaiting clearance.
SUCCESS — Transaction succeeded.
FAILED — Transaction failed.
PARTIAL_CANCELLED — Partial authorization cancelled.
CANCELLED — Authorization cancelled.
PARTIAL_REFUNDED — Partially refunded.
REFUNDED — Refunded.
cardNostring
Filter by card number. Pass either 4 digits (the last four) or the 16-digit full card number.
merchantNamestring
Filter by merchant name. Max 256 characters.
idstring
Filter by transaction ID. Max 64 characters.
cardNickNamestring
Filter by card nickname. Max 128 characters.
budgetAccountIdsarray of string
Filter by budget account IDs. Maximum 50 items.
cardIdstring
Filter by the associated Card resource ID. Max 64 characters.
Response Parameters
resultResult
See Result.
itemsarray of Transaction
Card transaction list. Returned only when resultStatus=S.
Show child parametersShow child parameters
nextCursorstring
Cursor for the next page. An empty value indicates there is no next page. Max 256 characters.
prevCursorstring
Cursor for the previous page. An empty value indicates there is no previous page. Max 256 characters.
Error Codes
resultCoderesultStatusresultMessageTroubleshooting
SUCCESSSSuccess.Query succeeded.
PARAM_ILLEGALFIllegal parameters exist. For example, an invalid date or the time period exceeds 100 days.Verify request fields, especially the date range (≤ 100 days).
CONTRACT_NOT_EXISTFThe contract check has failed.Contact WorldFirst support to confirm the contract status, then retry.
ACCESS_TOKEN_EXPIREDFThe access token expired.Refresh the token to obtain a new access token, then retry.
AUTHORIZATION_NOT_EXISTFThe authorization does not exist.Contact WorldFirst support to verify the authorization relationship.
USER_NOT_EXISTFThe user does not exist.Verify the `account-id` or `access-token`.
Definition
POST /api/open/v1/issuing/transactions/list
Request
{
"limit": 10,
"fromCreatedAt": "2026-01-01T00:00:00+08:00",
"toCreatedAt": "2026-01-31T00:00:00+08:00",
"statuses": [
  "SUCCESS"
]
}
Response
{
"result": {
  "resultCode": "SUCCESS",
  "resultMessage": "success",
  "resultStatus": "S"
},
"items": [
  {
    "id": "2026****",
    "createdAt": "2026-01-01T12:01:01+08:00",
    "status": "SUCCESS",
    "transactedAt": "2026-01-15T12:01:01+08:00",
    "maskedCardNo": "************9509",
    "cardNickName": "My Travel Card",
    "cardId": "2026****",
    "merchantName": "AMAZON****",
    "merchantCategoryCode": "5411",
    "merchantRegion": "US",
    "authCode": "123456",
    "tradeRegion": "US",
    "tradeAmount": {
      "value": 10000,
      "currency": "USD"
    },
    "inAmount": {
      "value": 0,
      "currency": "USD"
    },
    "outAmount": {
      "value": 10000,
      "currency": "USD"
    },
    "exchangeRate": "7.1234",
    "billType": "CARD_PAYMENT",
    "payerAccountNo": "2208****",
    "payerBudgetId": "34589****",
    "payerBalanceType": "NORMAL_BALANCE"
  }
],
"nextCursor": "eyJwYWdlIjoyfQ=="
}